[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'strutils' (#rtl)

# Copy2Symb

Returns all characters in a string till a given character (not included).

## Declaration

Source position: strutils.pp line 160

`function Copy2Symb(`
`const S: string;`
`Symb: Char`
`):string;`

## Arguments

`S` |  | String to return first characters from.
`Symb` |  | Symbol till which characters will be copied. Will not be included in the result.

## Function result

Characters from the string till the first occurence of the given character.

## Description

Copy2Symb determines the position of the first occurrence of Symb in the string S and returns all characters up to this position. The Symb character itself is not included in the result string. The string S is left untouched. If Symb does not appear in S, then the whole of S is returned.

## Errors

None.

## See also

Copy2Space |  | Returns all characters in a string till the first space character (not included).
Copy2SymbDel |  | Deletes and returns all characters in a string till a given character (not included).

Documentation generated on: Feb 26 2014